//go:build turbo

package epubimageprocessor

import (
	"image"
	_ "image/jpeg"
	_ "image/png"
	"io"
	"path/filepath"
	"strings"

	_ "golang.org/x/image/webp"

	turbojpeg "github.com/viam-labs/go-libjpeg/jpeg"
)

func DecodeImage(name string, f io.ReadCloser) (img image.Image, err error) {
	switch strings.ToLower(filepath.Ext(name)) {
	case ".jpeg", ".jpg":
		img, err = turbojpeg.Decode(f, &turbojpeg.DecoderOptions{})
	default:
		img, _, err = image.Decode(f)
	}
	return
}
